Amatrix {AGHmatrix} | R Documentation

## Construction of Relationship Matrix A

### Description

Creates a additive relationship matrix A from a pedigree data in a 3-column way format based on ploidy level (an even number) and, if ploidy equals 4, based on proportion of parental gametes that are IBD (Identical by Descent) due to double reduction. Returns a dominance relationship matrix if dominance true (ploidy 2 only). Autopolyploid matrices based on Kerr (2012). Construction is based on the Henderson's recursive method described in Mrode (2005).

### Usage

    Amatrix(data = NULL, ploidy = 2, w = 0, verify = TRUE,
      dominance = FALSE, slater = FALSE, ...)

### Arguments

`data` | pedigree data name (3-column way format). Unknown value should be equal 0.
`ploidy` | an even number (default=2).
`w` | proportion of parental gametas IBD due to double reduction (default=0), only if ploidy=4.
`verify` | verifies pedigree file for conflictuos entries (default=TRUE).
`dominance` | if true, returns the dominance relationship matrix
`slater` | if true, returns the additive autotetraploid relationship matrix as Slater (2013)
`...` | arguments to be passed to datatreat()

### Value

Matrix with the Relationship between the individuals.

### Author(s)

Rodrigo R Amadeu, rramadeu@gmail.com

### References

Chapter 2: Genetic Covariance Between Relatives and Chapter 9: Non-additive Animal Models in Mrode, R. A., and Thompson, R. Linear models for the prediction of animal breeding values. Cabi, 2005.

Slater, A. T., Wilson, G. M., Cogan, N. O., Forster, J. W., & Hayes, B. J. (2013). Improving the analysis of low heritability complex traits for enhanced genetic gain in potato. Theoretical and Applied Genetics, 1-12.

Kerr, Richard J., et al. "Use of the numerator relationship matrix in genetic analysis of autopolyploid species." Theoretical and Applied Genetics 124.7 (2012): 1271-1282.

### Examples

    data(ped.mrode)
    #Computing additive relationship matrix considering diploidy
    Amatrix(ped.mrode, ploidy=2)
    #Computing non-additive relationship matrix considering diploidy:
    Amatrix(ped.mrode, ploidy=2, dominance=TRUE)
    #Computing additive relationship matrix considering autotetraploidy:
    Amatrix(ped.mrode, ploidy=4)
    #Computing additive relationship matrix considering autooctaploidy:
    Amatrix(ped.mrode, ploidy=8)
    #Computing additive relationship matrix considering autotetraploidy and double-reduction of 10%:
    Amatrix(ped.mrode, ploidy=4, w=0.1)
    #Computing additive relationship matrix considering
    #autotetraploidy and double-reduction of 10% as Slater et al. (2014):
    Amatrix(ped.mrode, ploidy=4, w=0.1, slater = TRUE)
    #Computing additive relationship matrix considering autohexaploidy and double-reduction of 10%:
    Amatrix(ped.mrode, ploidy=6, w=0.1)

[Package AGHmatrix version 1.0.2 Index]